//
//  MTLSAttributedString2String.m
//  HTMLColor
//
//  Created by narita on 08/03/25.
//  Copyright 2008 MindTools Inc. All rights reserved.
//

#import "MTLSAttributedString2String.h"


@implementation MTLSString2AttributedString

+ (Class)transformedValueClass
{
    return [NSAttributedString class];
}

+ (BOOL)allowsReverseTransformation
{
    return YES;
}

- (id)transformedValue:(NSString*)value
{
    NSAttributedString* theResult = nil;

    if( value != nil )
    {
        theResult = [[NSAttributedString alloc] initWithString:value];
    }
    
    return theResult;
}

- (id)reverseTransformedValue:(NSAttributedString*) value
{
    NSString* theResult = nil;
    
    if( value != nil )
    {
        theResult = [value.string copy];
    }
    
    return theResult;
}

@end



@implementation MTLSAttributedString2String

+ (Class)transformedValueClass
{
    return [NSString class];
}

+ (BOOL)allowsReverseTransformation
{
    return YES;
}

- (id)transformedValue:(NSAttributedString*) value
{
    NSString* theResult = nil;
    
    if( value != nil )
    {
        theResult = [value.string copy];
    }
    
    return theResult;
}

- (id) reverseTransformedValue:(NSString*)value
{
    NSAttributedString* theResult = nil;
    
    if( value != nil )
    {
        theResult = [[NSAttributedString alloc] initWithString:value];
    }
    
    return theResult;
}


@end
